System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

The class represents information about a Windows menu or toolbar command. The interface allows you to add objects to the Visual Studio menu.

This class provides the following members:

An event-handler property to which you can attach an event handler for the command.

A property that uniquely identifies the command.

An method that executes the command.

An method that can be overridden to handle the event that occurs when a new command is selected.

Boolean flag states that indicate whether the command is , , , or .

An property that indicates the OLE command status code for the command.

An override for the method.

Represents a Windows menu or toolbar command item.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  The event to raise when the user selects the menu item or toolbar button.
  The unique command ID that links this menu command to the environment's menu.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether this menu item is checked.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventHandler

  A command can change if it becomes checked or disabled.

  Occurs when the menu command changes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.CommandID To be added: an object of type 'CommandID' To be added

  Gets the associated with this menu command.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether this menu item is available.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Invokes the command.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Invokes the command with the given parameter.

  An optional argument for use by the command.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Int32 To be added: an object of type 'int' To be added

  Gets the OLE command status code for this menu item.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the event data.
- Property
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added.

  All menu commands store their public properties in the collection. The key in the properties dictionary is the property name. This allows for generic enumeration of properties and provides a consistent substrate from which new properties can be added without modifying the class definition.

  Gets the public properties associated with the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether this menu item is supported.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns a string representation of this menu command.

  A string containing the value of the property appended with the names of any flags that are set, separated by pipe bars (|). These flag properties include , , , and .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether this menu item is visible.